//-----------------------------------------------------------------------------
// Title      : bsp_ub052_mk3_fastfat_w
//-----------------------------------------------------------------------------
// Funktion   : SD-Card Test [WRITE] (mit FastFat16-Treiber)
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 05.07.2012
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_mk3_2560/MK3_2560_LCD.h>
#include <ub_mk3_2560/MK3_2560_FASTFAT16.h>

//-----------------------------------------------------------------------------
// Hinweis : Quick-Jumper Port-C+A muss gesetzt sein
// - testet ob eine SD-Karte eingelegt ist
// - legt ein File an und schreibt einen Text rein
// - zeigt bei Erfolg eine OK-Meldung an
//-----------------------------------------------------------------------------

int main (void)
{
	unsigned int n;
	FFW_Status_t check;
	char buffer[30]; // puffer fr das schreiben
	
	strcpy(buffer,"FASTFAT in funktion...");
	
	MK3_INIT_LCD();					// init des LCD
	
	MK3_LCD_CLEAR();				// LCD loeschen
	MK3_LCD_LIGHT(true);			// beleuchtung einschalten
	
	MK3_LCD_STRING_AT(0,0,"FASTFAT16 WRITE");
	MK3_LCD_STRING_AT(0,16,"suche SD-Karte:");
	
	check=MK3_SD_WRITE_FILE_IN_ROOT("ff_file.txt");
	
	if(check==SDW_WRITE_OK) {
		MK3_LCD_STRING_AT(0,24,"Karte gefunden");
		// 20 Zeichen aus dem Puffer in das File schreiben
		fat_write_file(MK3_SD.file, (uint8_t*) buffer, 20);
		// File schliessen  
        MK3_SD_CLOSE_FILE();
        MK3_LCD_STRING_AT(0,40,"File geschrieben");
	}
	else if(check==SDW_NO_CARD) {
		MK3_LCD_STRING_AT(0,24,"Err...keine Karte");
	}
	else if(check==SDW_FILE_NOT_FOUND) {
		MK3_LCD_STRING_AT(0,24,"Err...File not found");
	}
	else {
		MK3_LCD_STRING_AT(0,24,"Err...Dateifehler");
	}

	

	while (true)
	{
	
	}
	return 0;
}
//-----------------------------------------------------------------------------






